Subject: Music.app controls

From: Matthew Galaher <[email-masked]>
Date: Thu, 14 Nov 2019 13:07:22 -0800 (PST)

I'm on Catalina now and Butler hasn't yet been updated to have built in 
controls for Music.app.  I was able to delete those controls and replace 
them with apple script smart objects using the keyboard shortcuts used 
previously. Seems to work fine so I thought I'd share here. 

-- play pause

*tell* *application* "Music" 

--activate

*if* player state *is* *playing* *then* --then current track exists

*try*

*playpause*

*end* *try*

*else*

*try*

*play*

*end* *try*

*end* *if*

*end* *tell*

*--*

*--*

tell application "Music"

play (next track)

end tell

--

--

tell application "Music"

play (previous track)

end tell